Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## robocode
Class BulletHitBulletEvent

    java.lang.Object
      robocode.Event
          robocode.BulletHitBulletEvent

All Implemented Interfaces:
  java.lang.Comparable<Event>

    public class BulletHitBulletEvent

extends Event

This event is sent to `onBulletHitBullet` when one of your bullets has hit another bullet.

Author:
  Mathew A. Nelson (original)

Constructor Summary
`BulletHitBulletEvent(Bullet bullet, Bullet hitBullet)` Called by the game to create a new BulletHitEvent.

Method Summary
`Bullet` | `getBullet()` Returns your bullet that hit another bullet.
`Bullet` | `getHitBullet()` Returns the bullet that was hit by your bullet.

Methods inherited from class robocode.Event
`compareTo, getPriority, getTime, setPriority, setTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BulletHitBulletEvent

    public BulletHitBulletEvent(Bullet bullet,
                                Bullet hitBullet)

  Called by the game to create a new BulletHitEvent.

Method Detail

### getBullet

    public Bullet getBullet()

  Returns your bullet that hit another bullet.

  Returns:
    your bullet

### getHitBullet

    public Bullet getHitBullet()

  Returns the bullet that was hit by your bullet.

  Returns:
    the bullet that was hit

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD